Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface AssertionBuilderRegistry

All Superinterfaces:
  Registry<javax.xml.namespace.QName,AssertionBuilder>

    public interface AssertionBuilderRegistry

extends Registry<javax.xml.namespace.QName,AssertionBuilder>

AssertionBuilderRegistry is used to manage AssertionBuilders and create Assertion objects from given xml elements.

Method Summary
`org.apache.neethi.Assertion` | `build(org.w3c.dom.Element element)` Returns an assertion that is built using the specified xml element.
`boolean` | `isIgnoreUnknownAssertions()` Indicates if unknown assertions should simply be ignored.
`void` | `setIgnoreUnknownAssertions(boolean ignoreUnknownAssertions)` Indicates if unknown assertions should simply be ignored.

Methods inherited from interface org.apache.cxf.extension.Registry
`get, register, unregister`

Method Detail

### build

    org.apache.neethi.Assertion build(org.w3c.dom.Element element)

  Returns an assertion that is built using the specified xml element.

  Parameters:
    `element` - the element from which to build an Assertion.
  Returns:
    an Assertion that is built using the specified element.

### isIgnoreUnknownAssertions

    boolean isIgnoreUnknownAssertions()

  Indicates if unknown assertions should simply be ignored. If set to false, the policy engine will throw an exception upon encountering an assertion type for which no AssertionBuilder has been registered.

  Returns:

### setIgnoreUnknownAssertions

    void setIgnoreUnknownAssertions(boolean ignoreUnknownAssertions)

  Indicates if unknown assertions should simply be ignored. If set to false, the policy engine will throw an exception upon encountering an assertion type for which no AssertionBuilder has been registered.

  Parameters:
    `ignoreUnknownAssertions` - iff unknown assertions should be ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.